import math

def distance(t1, t2):
    return math.sqrt((t1[0] - t2[0]) ** 2 + (t1[1] - t2[1]) ** 2)

def safe_switch(first, tailor, rest):
    number_safe_switches = 0
    for child in rest:
        distance_first = distance(first, child)
        distance_tailor = distance(tailor, first)
        distance_difference = distance(tailor, child)

        if distance_tailor > distance_first > distance_difference:
            number_safe_switches += 1
    return number_safe_switches

tailor_x, tailor_y = map(int, input().split())
children = int(input())

first_child = tuple(map(int, input().split()))

rest_children = [tuple(map(int, input().split())) for _ in range(children - 1)]

result = safe_switch(first_child, (tailor_x, tailor_y), rest_children)

print(result)