def largestPerimeter(num, triangles):
    largest_perimeter = 0
    for triangle in triangles:
        a, b, c = triangle
        if a + b > c and a + c > b and b + c > a:
            _perimeter = a + b + c
            largest_perimeter = max(largest_perimeter, _perimeter)
    return largest_perimeter

n = int(input())
triangles_list = []
for _ in range(n):
    each_n = input()
    a1, b1, c1 = map(int, each_n.split())
    triangles_list.append((a1, b1, c1))

result = largestPerimeter(n, triangles_list)
print(result)