def pronadji_reci_i_recenice(niska):
    reci = []
    trenutna_recenica = ''
    unutar_recenice = False
    
    for karakter in niska:
        if karakter == '[':
            unutar_recenice = True
            if trenutna_recenica:
                reci.append(trenutna_recenica)
                trenutna_recenica = ''
        elif karakter == ']':
            unutar_recenice = False
            if trenutna_recenica:
                reci.append(trenutna_recenica)
                trenutna_recenica = ''
        elif karakter == ' ' and not unutar_recenice:
            if trenutna_recenica:
                reci.append(trenutna_recenica)
                trenutna_recenica = ''
        else:
            trenutna_recenica += karakter
    
    if trenutna_recenica:
        reci.append(trenutna_recenica)
    
    return reci

# Ucitavanje ulaza
niska = input()

# Pronalaženje reci i recenica
rezultat = pronadji_reci_i_recenice(niska)

# Ispis rezultata
for element in rezultat:
    print(element)