#include <iostream>


bool isPrime(int num) {
    if (num <= 1)
        return false;
    for (int i = 2; i * i <= num; i++) {
        if (num % i == 0)
            return false;
    }
    return true;
}

int main() {
    long long n;
    std::cin >> n;

    long long product = 1;
    bool hasPrime = false;


    while (n > 0) {
        int digit = n % 10;
        if (isPrime(digit)) {
            product *= digit;
            hasPrime = true;
        }
        n /= 10;
    }

    // Ispis rezultata
    if (hasPrime)
        std::cout << product << std::endl;
    else
        std::cout << "-1" << std::endl;

    return 0;
}