#include <iostream>
#include <string>
#include <vector>

void extractWordsAndSentences(const std::string& input) {
    std::string current;
    bool inSentence = false;

    for (char c : input) {
        if (c == '[') {
            if (!current.empty()) {
                std::cout << current << std::endl;
                current.clear();
            }
            inSentence = true;
        } else if (c == ']') {
            if (!current.empty()) {
                std::cout << current << std::endl;
                current.clear();
            }
            inSentence = false;
        } else if (c == ' ') {
            if (!current.empty() && !inSentence) {
                std::cout << current << std::endl;
                current.clear();
            } else {
                current += c;
            }
        } else {
            current += c;
        }
    }

    if (!current.empty()) {
        std::cout << current << std::endl;
    }
}

int main() {
    std::string input;
    std::getline(std::cin, input);

    extractWordsAndSentences(input);

    return 0;
}