# Funkcija za rešavanje zadatka
def zajednicka_drugarica(veze):
    # Pravimo skup za svako ime
    ime1_set = set()
    ime2_set = set()
    ime3_set = set()

    # Proveravamo svaku vezu i dodajemo ime u odgovarajuci skup
    for veza in veze:
        ime1, ime2 = veza.split()
        ime1_set.add(ime1)
        ime2_set.add(ime2)
        ime3_set.add(ime1)
        ime3_set.add(ime2)

    # Pronalazimo ime koje se pojavljuje u svim skupovima
    zajednicka_imena = ime1_set.intersection(ime2_set, ime3_set)

    # Ako postoji zajednicko ime, vracamo ga, inace vracamo 'nemoguce'
    if zajednicka_imena:
        return zajednicka_imena.pop()
    else:
        return 'nemoguce'

# Citanje ulaza
veze = []
for _ in range(3):
    veza = input().strip()
    veze.append(veza)

# Pozivamo funkciju i ispisujemo rezultat
print(zajednicka_drugarica(veze))