def je_prost(broj):
    if broj < 2:
        return False
    for i in range(2, int(broj**0.5) + 1):
        if broj % i == 0:
            return False
    return True

def proizvod_prostih_cifara(n):
    proizvod = 1
    for cifra in str(n):
        cifra_int = int(cifra)
        if je_prost(cifra_int):
            proizvod *= cifra_int
    return proizvod

# Ucitavanje ulaza
n = int(input())

# Pronalaženje proizvoda prostih cifara
proizvod = proizvod_prostih_cifara(n)

# Ispis rezultata
if proizvod == 1:
    print("-1")
else:
    print(proizvod)