#include <iostream>
#include <string>
#include <vector>

void extractWordsAndSentences(const std::string& input) {
    std::vector<std::string> words;
    std::string current;

    for (char c : input) {
        if (c == '[') {
            if (!current.empty()) {
                words.push_back(current);
                current.clear();
            }
        } else if (c == ']') {
            if (!current.empty()) {
                words.push_back(current);
                current.clear();
            }
        } else if (c == ' ') {
            if (!current.empty()) {
                words.push_back(current);
                current.clear();
            }
        } else {
            current += c;
        }
    }

    if (!current.empty()) {
        words.push_back(current);
    }

    for (const std::string& w : words) {
        std::cout << w << std::endl;
    }
}

int main() {
    std::string input;
    std::getline(std::cin, input);

    extractWordsAndSentences(input);

    return 0;
}