#include <iostream>
#include <vector>

struct tacka
{
	float x;
	float y;

	tacka(float p_x, float p_y) : x(p_x), y(p_y) { }

	static float razdaljina(tacka p1, tacka p2)
	{
		float dst_x = abs(p1.x - p2.x);
		float dst_y = abs(p1.y - p2.y);

		float dst = sqrt(dst_x * dst_x + pow(dst_y, 2));
		return dst;
	}
};

int main()
{
	tacka krojac(0, 0);
	std::cin >> krojac.x >> krojac.y;

	int n;
	std::cin >> n;

	std::vector<tacka> drvece;
	for (int i = 0; i < n; i++)
	{
		tacka drvo(0, 0);
		std::cin >> drvo.x >> drvo.y;
		drvece.push_back(drvo);
	}

	int broj_sigurnih = 0;
	for (int i = 1; i < n; i++)
	{
		float razdaljina_od_prvog = tacka::razdaljina(drvece[0], drvece[i]);
		float razdaljina_od_krojaca = tacka::razdaljina(krojac, drvece[i]);
		float razdaljina_prvog_od_krojaca = tacka::razdaljina(krojac, drvece[0]);

		if (razdaljina_od_prvog < razdaljina_od_krojaca && razdaljina_od_prvog < razdaljina_prvog_od_krojaca)
		{
			broj_sigurnih++;
		}
	}

	std::cout << broj_sigurnih;
}