#include <iostream>
#include <vector>

std::string nadji_najveci(std::vector<std::string>& niz_imena, std::vector<int>& niz_rezultata)
{
	int najvise_pobeda = 0;

	std::pair<std::string, int> najveci;

	for (int i = 0; i < niz_rezultata.size(); i++)
	{
		if (niz_rezultata[i] > najvise_pobeda)
		{
			najvise_pobeda = niz_rezultata[i];
			najveci.second = i;
			najveci.first = niz_imena[i];
		}
	}

	niz_imena.erase(najveci.second + niz_imena.begin());
	niz_rezultata.erase(najveci.second + niz_rezultata.begin());

	return najveci.first;
}

bool sadrzi_niz(std::string element, std::vector<std::string>& niz)
{
	for (int i = 0; i < niz.size(); i++)
	{
		if (element == niz[i])
		{
			return true;
		}
	}

	return false;
}

int main()
{
	std::vector<std::string> pobednici;
	std::vector<std::string> gubitnici;

	for (int i = 0; i < 7; i++)
	{
		std::string a, b;
		std::cin >> a >> b;

		pobednici.push_back(a);
		gubitnici.push_back(b);
	}

	std::vector<std::string> rezultati_imena;
	std::vector<int> rezultati_pobede;
	for (int i = 0; i < pobednici.size(); i++)
	{
		int ponavljanja = 0;

		for (int j = 0; j < pobednici.size(); j++)
		{
			if (pobednici[j] == pobednici[i])
			{
				ponavljanja++;
			}
		}

		if (sadrzi_niz(pobednici[i], rezultati_imena))
		{
			rezultati_imena.push_back(pobednici[i]);
			rezultati_pobede.push_back(ponavljanja);
		}
	}

	std::string pobednik = nadji_najveci(rezultati_imena, rezultati_pobede);
	std::cout << pobednik << "\n";

	std::string drugi_najbolji = nadji_najveci(rezultati_imena, rezultati_pobede);
	std::cout << drugi_najbolji;
}