#include <iostream>
#include <vector>
#include <numeric>
#include <algorithm>
using namespace std;

typedef unsigned long long ll;

ll gcd(ll a, ll b) {
    return b == 0 ? a : gcd(b, a % b);
}

int main() {
    ll n;
    cin >> n;
    vector<ll> kanapi;
    for (ll i = 0; i < n; i++) {
        ll a;
        cin >> a;
        kanapi.push_back(a);
    }
    ll najvise=0;
    //sort kanapi
    sort(kanapi.begin(), kanapi.end());
    //binarna pretraga
    int l = 0, r = n-1;
    while (l < r) {
        int mid = (l + r) / 2;
        vector<ll> kopija = kanapi;
        kopija.erase(kopija.begin() + mid);
        ll kljuc = std::accumulate(kopija.begin(), kopija.end(), gcd);
        //ako je kljuc veci od najvise, onda je to novi najvise i pretrazujemo desnu polovicu
        if (kljuc > najvise) {
            najvise = kljuc;
            l = mid + 1;
        }
        //ako nije, pretrazujemo levu polovicu
        else {
            r = mid; }
    }

    
    cout << najvise;
}