#include<iostream>
#include<map>
#include<vector>
#include<algorithm>
#define pll pair<ll,ll>
using namespace std;
typedef long long ll;
ll nzd(ll a, ll b) {
	ll olda = a,oldb = b;
	if (b > a) { swap(a, b); }
	ll nzd=0, nzs=0;
	while (b != 0) {
		ll t = a;
		a = b;
		b = t % b;
	}
	nzd = a;
	return nzd;
}
map<ll, map<ll,ll>> nzds;
ll rastaviti(ll a) {
	ll c;
	while (a % 2 == 0) {
		c++;
		a /= 2;
	}
	for (int i = 3; i * i <= a; i += 2) {
		while (a % i == 0) {
			a /= i;
			c++;
		}
	}
	if (a != 1) { c++; a /= a; }
	return c;
}

int main() {
	ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
	int n;
	cin >> n;
	vector<ll> v(n);
	for (int i = 0; i < n; i++) {
		cin >> v[i];
	}
	int c, cold = 0;
	pll smallest_dif = {0, INT_MAX};
	for (int i = 0; i < n; i++) {
		c += rastaviti(v[i]);
		if (smallest_dif.second > abs(cold - c)) {
			smallest_dif.first = i;
			smallest_dif.second = abs(cold - c);
		}
		cold = c;
	}
	ll minnzd = LLONG_MAX;
	v.erase(v.begin() + smallest_dif.first);
	for (int i = 0; i < n - 1; i++) {
		for (int j = i; j < n - 1; j++) {
			//cout << "NZD " << v[i] << " I " << v[j] << " JE " << nzd(v[i], v[j]) << '\n';
			minnzd = min(minnzd, nzd(v[i], v[j]));
		}
	}
	cout << minnzd;
}
/*
int main() {
	ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
	int n;
	cin >> n;
	vector<ll> v(n);
	for (int i = 0; i < n; i++) {
		cin >> v[i];
	}
	//sort(v.begin(), v.end());
	pll minn = { 0, LLONG_MAX };
	ll minnzd = INT_MAX;

	vector<ll> znzd(n);
	for (int i = 0; i < n; i++) {
		for (int j = i; j < n; j++) {
			ll nn = nzd(v[i], v[j]);
			nzds[v[i]][v[j]] = nn;
			znzd[i] += nn;
			znzd[j] += nn;
			pll m = znzd[i] < znzd[j] ? make_pair(i,znzd[i]) : make_pair(j,znzd[j]);
			minn = min(minn.second, m.second) == m.second ? m : minn;
		}
	}
	
	v.erase(v.begin() + minn.first);
	for (int i = 0; i < n-1; i++) {
		for (int j = i; j < n-1; j++) {
			//cout << "NZD " << v[i] << " I " << v[j] << " JE " << nzd(v[i], v[j]) << '\n';
			minnzd = min(minnzd, nzds[v[i]][v[j]]);
		}
	}
	cout << minnzd;
	
}
*/